package de.tudarmstadt.langtech.substituter;

/**
 * Interface for all SenseSubstituter implementations
 * @author cwirth
 *
 */
public interface SenseSubstituter {
	
	/**
	 * 
	 * @param targetIndex index of the word to be substituted
	 * @param words tokenized array of words
	 * @param postags postags for the words in words. Must have the same length
	 * @return the substitution object
	 */
	public Substitution getSubstitution(int targetIndex, String[] words, String[] postags);


}
